# Interface SctpSocketOption<T>

Type Parameters:
  `T` - The type of the socket option value.

All Superinterfaces:
  `SocketOption<T>`

public interface SctpSocketOption<T> extends SocketOption<T>
A socket option associated with an SCTP channel.

Since:
  1.7
See Also:
  - `SctpStandardSocketOptions`

## Method Summary

### Methods declared in interface SocketOption

`name, type`
Modifier and Type
Method
Description
`String`
`name()`
Returns the name of the socket option.
`Class<T>`
`type()`
Returns the type of the socket option value.